OnlyFans API
OnlyFansFinancial

Get Profitability History

Get historical profitability data for a specific account over multiple months.

GET
/api/analytics/financial/profitability/{account}/history
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

account_prefixed_id*string

The account prefixed ID.

months?integer

Number of months of history to retrieve (1-60, default 12). Must be at least 1. Must not be greater than 60.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/analytics/financial/profitability/acct_XXXXXXXXXXXXXXX/history?account_prefixed_id=acct_abc123&months=12"
{
  "data": [
    {
      "onlyFansUserId": 12345,
      "creatorName": "Creator Name",
      "year": 2024,
      "month": 1,
      "projectedNet": "10000.00",
      "commissionRate": "20.00",
      "commissionAmount": "2000.00",
      "costs": [],
      "totalCosts": "500.00",
      "agencyEarnings": "2000.00",
      "profit": "1500.00",
      "marginPercentage": "75.00",
      "hasCommissionForPeriod": true,
      "hasCostsForPeriod": true,
      "activeMilestones": null,
      "referralNote": null,
      "ratePeriods": []
    }
  ]
}